package com.bonus.canteen.core.supply.purchase.service;


import com.bonus.canteen.core.supply.purchase.domain.bo.DrpMaterialLatestPriceDTO;
import com.bonus.canteen.core.supply.purchase.domain.vo.DrpMaterialLatestPriceVO;

import java.util.List;

public interface DrpMaterialLatestPriceService {
   List<DrpMaterialLatestPriceVO> getMaterialLatestPrice(List<Long> materialIdList, Integer priceType, Long supplierId);

   void addMaterialLatestPrice(DrpMaterialLatestPriceDTO drpMaterialLatestPriceDTO);

   void delete(String relatedId);
}
